class PerlXmlParser < Formula
  desc "Perl module for parsing XML documents"
  homepage "https://github.com/toddr/XML-Parser"
  url "https://cpan.metacpan.org/authors/id/T/TO/TODDR/XML-Parser-2.47.tar.gz"
  sha256 "ad4aae643ec784f489b956abe952432871a622d4e2b5c619e8855accbfc4d1d8"
  license "Artistic-2.0"
  head "https://github.com/toddr/XML-Parser.git", branch: "master"

  uses_from_macos "perl"

  def install
    ENV.prepend_create_path "PERL5LIB", libexec/"lib/perl5"
    system "perl", "Makefile.PL", "INSTALL_BASE=#{libexec}"
    system "make", "PERL5LIB=#{ENV["PERL5LIB"]}"
    system "make", "install"
  end

  test do
    ENV.prepend_create_path "PERL5LIB", libexec/"lib/perl5" if OS.linux?
    system "perl", "-e", "require XML::Parser;"
  end
end
